# -*- coding: utf-8 -*-
"""
   Wiki+ ISBN Macro

   Copyright (C) 2005 Yong-Jin Cho <yongjin.cho@gmail.com>
   Wiki+ is distributed under GNU GPL. See COPYING for details.

   For more information, visit http://wikiplus.kldp.net.
"""

def expand(macro):
    isbn = macro.arg
    amazon_link = 'http://www.amazon.com/exec/obidos/ISBN=%s'
    amazon_img = 'http://images.amazon.com/images/P/%s.01.MZZZZZZZ.gif'
    aladdin_link = 'http://www.aladdin.co.kr/catalog/book.asp?ISBN=%s'
    aladdin_img = 'http://www.aladdin.co.kr/Cover/%s_1.gif'

    if isbn[:2] == '89':
        link, img = aladdin_link % isbn, aladdin_img % isbn
    else:
        link, img = amazon_link % isbn, amazon_img % isbn
    
    return '<a href="%s"><img src="%s" alt="%s" /></a>' % (link, img, isbn) 
