# -*- coding: utf-8 -*-
"""
   Wiki+ TitleSearch Macro

   Copyright (C) 2005 Yong-Jin Cho <yongjin.cho@gmail.com>
   Wiki+ is distributed under GNU GPL. See COPYING for details.

   For more information, visit http://wikiplus.kldp.net.
"""
from wplus import *


def expand(macro):
    url_name = urlencode(macro.page_name)
    value = macro.form.getvalue('value', '')
    return '<form action="%s/%s" method="get">' \
           '<input type="hidden" name="action" value="TitleSearch" />' \
           '<input type="text" name="value" value="%s" size="30" /> ' \
           '<input type="submit" value="Search" />' \
           '</form>' % (get_scriptname(), url_name, value)
