# -*- coding: utf-8 -*-
"""
   Wiki+ TitleSearch Action Handler

   Copyright (C) 2005 Yong-Jin Cho <yongjin.cho@gmail.com>
   Wiki+ is distributed under GNU GPL. See COPYING for details.

   For more information, visit http://wikiplus.kldp.net.
"""
from wplus import *


def do(page_name, form):
    needle = form.getvalue('value', '')
    send_title("Title search for \"" + needle + '"')
    
    needle_re = re.compile(needle, re.IGNORECASE)
    page_list = get_page_list()
    hits = filter(needle_re.search, page_list)

    print "<ul>"
    for page in hits:
        print '<li>' + Page(page).link() + '</li>'
    print "</ul>"

    print "<p>%d hits " % len(hits)
    print " out of %d pages searched." % len(page_list)

    send_footer(page_name, 1)
