# -*- coding: utf-8 -*-
"""
   Wiki+ DueDate Macro

   Copyright (C) 2005 Yong-Jin Cho <yongjin.cho@gmail.com>
   Wiki+ is distributed under GNU GPL. See COPYING for details.

   For more information, visit http://wikiplus.kldp.net.
"""
import time, math


def expand(macro):
    try:
        t = time.strptime(macro.arg, '%Y%m%d')
    except ValueError, er:
        return '<i>%s</i>' % er

    secs = time.mktime(t)
    cur_secs = time.time()
    dist_day = int(math.ceil((secs - cur_secs) / (24 * 60 * 60)))

    return str(abs(dist_day))
